Bug 672975 - Review Request: perl-Pango - Perl interface to the pango library
Summary: Review Request: perl-Pango - Perl interface to the pango library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-26 21:04 UTC by Tom "spot" Callaway
Modified: 2011-05-28 15:07 UTC (History)
2 users (show)

Fixed In Version: perl-Pango-1.221-2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-29 03:49:24 UTC
tibbs: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2011-01-26 21:04:37 UTC
Spec URL: http://www.auroralinux.org/people/spot/review/new/perl-Pango.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/perl-Pango-1.221-1.fc14.src.rpm
Koji Rawhide Scratch Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2744366

Description: perl-Pango provides Perl bindings for the text layout/rendering library pango. Pango is a library for laying out and rendering text, with an
emphasis on internationalization. Pango can be used anywhere that text layout
is needed, but using Pango in conjunction with Cairo and/or Gtk2 provides a
complete solution with high quality text handling and graphics rendering.

Reviewer note: This package is a new dependency for perl-Gtk2. It will only be going into F-13, F-14, and rawhide at this time. Also, please note that it includes headers in the main package in the same way that perl-Cairo does.

Comment 1 Jason Tibbitts 2011-01-27 04:53:31 UTC
Builds fine; rpmlint says:
  perl-Pango.x86_64: W: private-shared-object-provides
   /usr/lib64/perl5/vendor_perl/auto/Pango/Pango.so Pango.so()(64bit)
  perl-Pango.x86_64: W: private-shared-object-provides
   /usr/lib64/perl5/vendor_perl/auto/Pango/Pango.so Pango.so()(64bit)
These should probably be filtered.  %{?perl_default_filter} should take care of it.

  perl-Pango.x86_64: W: devel-file-in-non-devel-package
   /usr/lib64/perl5/vendor_perl/Pango/Install/pango-perl-autogen.h
  perl-Pango.x86_64: W: devel-file-in-non-devel-package
   /usr/lib64/perl5/vendor_perl/Pango/Install/pango-perl.h
  perl-Pango.x86_64: W: devel-file-in-non-devel-package
   /usr/lib64/perl5/vendor_perl/Pango/Install/pango-perl-versions.h
These are OK.

Note that rpm finds a dependency on perl(Glib) itself, so your manual one results in a duplicate.  Not really sure why it doesn't find any dependency on perl(Cairo).

Anyway, the duplicate isn't really a problem as long as it's needed to force an update, though it does reveal an issue:  F13 only has perl-Glib 1.201.  (It's never actually been built for F13.)  You're the maintainer so I guess updating it shouldn't be an issue.

* source files match upstream.  sha256sum:
  af524d0b6749fb5762f1152dbe02ed547a2a7308a1f667fce96cfbb2ca7d25c6
   Pango-1.221.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
X rpmlint has valid complaints.
* final provides and requires are sane:
   Pango.so()(64bit)  
   perl(Pango) = 1.221
   perl(Pango::Install::Files)  
   perl-Pango = 1.221-1.fc15
   perl-Pango(x86-64) = 1.221-1.fc15
  =
   libcairo.so.2()(64bit)  
   libfreetype.so.6()(64bit)  
   libglib-2.0.so.0()(64bit)  
   libgmodule-2.0.so.0()(64bit)  
   libgobject-2.0.so.0()(64bit)  
   libgthread-2.0.so.0()(64bit)  
   libpango-1.0.so.0()(64bit)  
   libpangocairo-1.0.so.0()(64bit)  
   perl >= 0:5.008
   perl(:MODULE_COMPAT_5.12.3)  
   perl(Cairo) >= 1.000
   perl(DynaLoader)  
   perl(Exporter)  
   perl(Glib)  
   perl(Glib) >= 1.220
   perl(strict)  
   perl(warnings)  

* no bundled libraries.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no static libraries.
* no libtool .la files.

Comment 2 Tom "spot" Callaway 2011-03-03 18:52:58 UTC
Apologies for the delay.

Good catch on perl-Glib, i'll get it sync'd up.

The other items are fixed in -2:

New SRPM:
http://www.auroralinux.org/people/spot/review/new/perl-Pango-1.221-2.fc14.src.rpm

New SPEC:
http://www.auroralinux.org/people/spot/review/new/perl-Pango.spec

Comment 3 Jason Tibbitts 2011-03-15 04:15:20 UTC
And I apologize for the delay on my end.  I've carved out some time and gotten my buildsys back up and running so I can finally finish this off.

Basically, everything looks good to me.  I would normally suggest turning on a but more verbosity in the build process, but I couldn't find an easy way to do so besides passing NOECHO= on the make line, which made the output rather messy.  Maybe there's some recent Makefile.PL magic I don't know about.  But that's certainly not a big deal.

APPROVED

Comment 4 Tom "spot" Callaway 2011-03-23 20:26:04 UTC
New Package SCM Request
=======================
Package Name: perl-Pango
Short Description: Perl interface to the pango library
Owners: spot
Branches: f13 f14 f15
InitialCC: perl-sig

Comment 5 Jason Tibbitts 2011-03-23 20:41:28 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2011-03-24 17:41:09 UTC
perl-Pango-1.221-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Pango-1.221-2.fc15

Comment 7 Fedora Update System 2011-03-25 06:47:22 UTC
perl-Pango-1.221-2.fc15 has been pushed to the Fedora 15 testing repository.

Comment 8 Fedora Update System 2011-03-29 03:49:20 UTC
perl-Pango-1.221-2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 9 Tom "spot" Callaway 2011-05-28 05:42:03 UTC
Package Change Request
======================
Package Name: perl-Pango
New Branches: el6
Owners: spot

Comment 10 Jason Tibbitts 2011-05-28 15:07:39 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.